Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.tasks
[Java] Interface BuildBinaryTask

    @Incubating
    public interface BuildBinaryTask

A task that combines a set of object files into a single binary.

Method Summary
`void` | `source(Object source)` Adds a set of object files to be combined into the file binary.

Method Detail

### source

    public void source(Object source)

  Adds a set of object files to be combined into the file binary. The provided source object is evaluated as per Project.files.

Gradle API 1.10